
Gisaf - Feature #7527

Give an option to resample data for graphs (eg. rain gauge)

02/02/2019 10:45 - Philippe May
Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Auro orchard automatic raingauge gives data every 10 minutes, to be matched with 1 day for the other rain gauges.

=> provide a generic solution for giving options for graphs, eventually controlled by the GUI

Related issues:

Related to Gisaf - Feature #3472: Weather station graphs: choice of parameters Resolved 07/01/2017

Associated revisions

Revision fa059067 - 13/02/2019 15:36 - Philippe May

Refs #7527: resample option for levels (WIP)

Revision 5fdefe73 - 13/02/2019 16:53 - Philippe May

Refs #7527: fix typo

Revision 5f60b83f - 07/03/2019 12:52 - Philippe May

Refs #7527: add TimePlottableModel base class, refactor code using pandas for fetching data from the db with resampling capabilities, change

get_model_levels in api internals to use it, add a menu in the plot info UI

Revision 93e349f8 - 07/03/2019 12:57 - Philippe May

Refs #7527: use TimePlottableModel for RainGauge, Well and WeatherStation levels

History

#1 - 07/03/2019 16:23 - Philippe May

- Related to Feature #3472: Weather station graphs: choice of parameters added

#2 - 07/03/2019 16:24 - Philippe May

- Status changed from New to Resolved

There's a new drop-down menu (below the plots) for levels, that allows resampling by time, by hour, day, week, month, or year.

Note that the "aggregation" method to resample depends on the kind of value: eg. average for well levels, and sum for rain gauges.

Confused? It's actually very logical, i can explain ;)

Note finally that there's a currently an issue with the rain gauges (because they have multiple "levels"), which relates to a pending ticket: #3472.
